### Method

# Adw Leafletset_visible_child

deprecated: 1.4

#### Declaration [src]

    void
    adw_leaflet_set_visible_child (
      AdwLeaflet* self,
      GtkWidget* visible_child
    )

#### Description [src]

Sets the widget currently visible when the leaflet is folded.

The transition is determined by `AdwLeaflet:transition-type` and `AdwLeaflet:child-transition-params`. The transition can be cancelled by the user, in which case visible child will change back to the previously visible child.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Leaflet:visible-child`

#### Parameters

`visible_child`

  Type: `GtkWidget`

  The new child.

  The data is owned by the caller of the method.